python-pisock_0.12.5-dfsg-2build2_i386.deb


Advertisement

Description

python-pisock - Python module to communicate with PalmOS PDA

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-pisock_0.12.5-dfsg-2build2_i386.deb
Package name python-pisock
Package version 0.12.5
Package release dfsg-2build2
Package architecture i386
Package type deb
Category universe/python
Homepage http://www.pilot-link.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 49.73 KB
Installed size 443.00 KB
This package provides the pisock module, which provides Python programs
with means of communicating directly with a PalmOS device.

Alternatives

Package Version Architecture Repository
python-pisock_0.12.5-dfsg-2build2_amd64.deb 0.12.5 amd64 Ubuntu Universe
python-pisock - - -

Requires

Name Value
libc6 >= 2.4
libpisock9 -
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-pisock -

Conflicts

Name Value
pilot-link-python -

Replaces

Name Value
pilot-link << 0.9.3-1
pilot-link-python -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-pisock_0.12.5-dfsg-2build2_i386.deb
Source Package pilot-link

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pisock deb package:
    # sudo apt-get install python-pisock

Files

Path
/usr/lib/python2.7/dist-packages/_pisock.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/_pisock.so
/usr/lib/python2.7/dist-packages/pisock.py
/usr/lib/python2.7/dist-packages/pisockextras.py
/usr/lib/python2.7/dist-packages/python_libpisock-0.12.5.egg-info
/usr/share/doc/python-pisock/README
/usr/share/doc/python-pisock/TODO
/usr/share/doc/python-pisock/changelog.Debian.gz
/usr/share/doc/python-pisock/copyright

Changelog

2016-09-17 - Matthias Klose <doko@ubuntu.com>
pilot-link (0.12.5-dfsg-2build2) yakkety; urgency=medium
* No-change rebuild for readline soname change.
2016-04-23 - Matthias Klose <doko@ubuntu.com>
pilot-link (0.12.5-dfsg-2build1) yakkety; urgency=medium
* No-change rebuild for libpng soname change.
2015-08-09 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-dfsg-2) unstable; urgency=medium
* Fix "deprecation of python-support" use dh-python instead of
python-support (Closes: #786254)
2014-06-14 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-dfsg-1) unstable; urgency=medium
* Fix "Duplicate and conflicting definition of function ColourCorrect"
rename ColourCorrect and make it static (Closes: #750983)
* remove .o and .so from the source package and rename source package to
-dfsg
* remove libpda-pilot-perl package as it does not build anymore
2014-01-22 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-7) unstable; urgency=low
* Fix "run dh-autoreconf to update config.{sub,guess} and
{libtool,aclocal}.m4" use dh_autoreconf instead of
dh_autotools-dev_updateconfig (Closes: #727270)
2013-10-27 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-6) unstable; urgency=low
* Fix "Use dh_autotools-dev to update config.{sub,guess} for AArch64"
patch from Ubuntu (Closes: #727270)
2012-04-08 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-5) unstable; urgency=low
* upgrade to debhelper 9
* Fix "should not depend on libncurses5-dev" dependency removed
(Closes: #667891)
* Fix "pilot-read-ical depends upon external program" removed pilot-read-ical
(Closes: #608468)
* Fix "pilot-memos.1.gz: HTML tags in man page" fixed upstream
(Closes: #391984)
* Fix "HTML fragments in man pages" fixed upstream
(Closes: #402045)
* debian/control: Standards-Version: 3.9.2 => 3.9.3. No change needed.
2011-08-06 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-4) unstable; urgency=low
* Fix "debian/control uses hardcoded list of non-Linux architectures"
use [linux-any] (Closes: #634729)
* Fix "FTBFS with libpng-dev in experimental: pilot-read-notepad.c"
Use patch from FreeBSD (Closes: #636758)
debian/patches/33-new-png-lib
2011-07-17 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-3) unstable; urgency=low
* Fix "Emptying dependency_libs in .la files". Add a sed call in
debian/rules (Closes: #633330)
* Fix "FTBFS with perl 5.14: error: 'sv_undef' undeclared (first use
in this function)" using the patch
debian/patches/0001-Don-t-use-PERL_POLLUTE-macros.patch from Niko Tyni
<ntyni@debian.org> (Closes: #628510)
* Standards-Version: 3.8.4 -> 3.9.2.
- Remove -D_REENTRANT from CFLAGS
- the 'dependency_libs' setting should be emptied (bug #633330 fixed above)
* fix lintian warning: debian-rules-missing-recommended-target build-arch
* fix lintian warning: "I: libpisock9: conflicts-with-version pilot-link (<<
0.12.2-7)" by removing references to this very old version
2010-02-11 - Ludovic Rousseau <rousseau@debian.org>
pilot-link (0.12.5-2) unstable; urgency=low
* debian/rules: do not use -l dh_shlibdeps argument any more
* debian/symbols: new file.
* debian/rules: add dependencies between packages. Closes: #569426:
pilot-link: FTBFS: dpkg-shlibdeps: error: couldn't find library
libpisock.so.9 needed by debian/libpisync1/usr/lib/libpisync.so.1.0.3 (ELF
format: 'elf64-x86-64'; RPATH: '')

See Also

Package Description
python-piston-mini-client_0.7.5-0ubuntu3_all.deb library for writing clients for Django's Piston REST APIs
python-pivy_0.5.0~v609hg-4_i386.deb Coin binding for Python
python-pjproject_2.7.2~dfsg-1_i386.deb PJ Project - Python bindings
python-pkgconfig_1.3.1-1_all.deb Python interface to the pkg-config command line tool
python-pkginfo-doc_1.2.1-1_all.deb Python module to query metadata from packages documentation
python-pkginfo_1.2.1-1_all.deb Python 2.x module to query metadata from packages
python-plastex-doc_0.9.2-1.2_all.deb LaTeX document processing framework in Python - documentation files
python-plastex_0.9.2-1.2_all.deb LaTeX document processing framework in Python
python-plist_2.0.0-2ubuntu1_i386.deb Library for handling Apple binary and XML property lists
python-plotly_2.2.3+dfsg-1_all.deb Python plotting library for publication-quality graphs
python-plplot-qt_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (Python 2 Qt GUI)
python-plplot_5.13.0+dfsg-6ubuntu2_i386.deb Python 2 support for PLplot, a plotting library
python-pluggy_0.6.0-1_all.deb plugin and hook calling mechanisms for Python - 2.7
python-pluginbase_0.5-1_all.deb Support library for building plugins systems (Python 2)
python-plumbum_1.6.5-1_all.deb library for writing shell script-like programs in Python 2
Advertisement
Advertisement